﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SKYPE4COMLib;
using SkypeControl;
using System.Runtime.InteropServices;
namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //How to make call in skype and record the call in wave file.
        SkypeProxy aSkype = new SkypeProxy();
        private void Form1_Load(object sender, EventArgs e)
        {
           
        }
        [DllImport("winmm.dll", EntryPoint = "mciSendStringA", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
        private static extern int mciSendString(string lpstrCommand, string lpstrReturnString, int uReturnLength, int hwndCallback);
        public void Skype_CallStatus(Call call, TCallStatus status)
        {   //check for the condition callstatus is InProgress
            if (status == TCallStatus.clsInProgress)
            {
                mciSendString("open new Type waveaudio Alias recsound", "", 0, 0);
                mciSendString("record recsound", "", 0, 0);
            }//check for the condition callstatus is finished
            else if (status == TCallStatus.clsFinished)
            {   
                DateTime currdate = DateTime.Now;
                string datetime = currdate.ToString();

                //declaring wave filename as current datetime with specified path
                string wavfilename = @"C:\" + datetime + @".wav";
                //save the recording
                mciSendString("save recsound " + wavfilename, "", 0, 0);
                //close the recording
                mciSendString("close recsound ", "", 0, 0);
            }
        }

        private void btnconnect_Click(object sender, EventArgs e)
        {
            //connect method will connect application to the skype software and it will prompt for allow or deny access
            aSkype.Conect();
        }

        private void btncall_Click(object sender, EventArgs e)
        {
            string value = "11111110011";
            //connecting skype

            value = "#abc CALL " + value;

            //Following Command method will call the Phone no of the value string variable
            aSkype.Command(value);

            //using SKYPE4COMLib interface is used to track the call status wheather it is InProgress or Finished
            Skype skype = new Skype();
            skype.CallStatus += new _ISkypeEvents_CallStatusEventHandler(Skype_CallStatus);

        }
    }
}
